package com.starry.admin.modules.shop.module.enums;

import java.util.Arrays;
import java.util.Optional;
import lombok.Getter;

/**
 * 优惠券有效期类型
 */
@Getter
public enum CouponValidityPeriodType {
    PERMANENT("0"),
    FIXED_RANGE("1"),
    RELATIVE_DAYS("2");

    private final String code;

    CouponValidityPeriodType(String code) {
        this.code = code;
    }

    public static Optional<CouponValidityPeriodType> fromCode(String code) {
        return Arrays.stream(values()).filter(item -> item.code.equals(code)).findFirst();
    }
}
